<?php
/**
 * Sima Architecture Interior functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Sima_Architecture_Interior
 */
if ( ! defined( 'SIMA_ARCHITECTURE_INTERIOR_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'SIMA_ARCHITECTURE_INTERIOR_VERSION', '1.0.0' );
}

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function sima_architecture_interior_setup() {
	/*
		* Make theme available for translation.
		* Translations can be filed in the /languages/ directory.
		* If you're building a theme based on Sima Architecture Interior, use a find and replace
		* to change 'sima-architecture-interior' to the name of your theme in all the template files.
		*/
	load_theme_textdomain( 'sima-architecture-interior', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
		* Let WordPress manage the document title.
		* By adding theme support, we declare that this theme does not use a
		* hard-coded <title> tag in the document head, and expect WordPress to
		* provide it for us.
		*/
	add_theme_support( 'title-tag' );

	/*
		* Enable support for Post Thumbnails on posts and pages.
		*
		* @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		*/
	add_theme_support( 'post-thumbnails' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(
		array(
			'menu-1' => esc_html__( 'Primary', 'sima-architecture-interior' ),
		)
	);

	/*
		* Switch default core markup for search form, comment form, and comments
		* to output valid HTML5.
		*/
	add_theme_support(
		'html5',
		array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
			'style',
			'script',
		)
	);

	// Set up the WordPress core custom background feature.
	add_theme_support(
		'custom-background',
		apply_filters(
			'sima_architecture_interior_custom_background_args',
			array(
				'default-color' => 'ffffff',
				'default-image' => '',
			)
		)
	);

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/**
	 * Add support for core custom logo.
	 *
	 * @link https://codex.wordpress.org/Theme_Logo
	 */
	add_theme_support(
		'custom-logo',
		array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		)
	);
}
add_action( 'after_setup_theme', 'sima_architecture_interior_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function sima_architecture_interior_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'sima_architecture_interior_content_width', 640 );
}
add_action( 'after_setup_theme', 'sima_architecture_interior_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function sima_architecture_interior_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'sima-architecture-interior' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'sima-architecture-interior' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		)
	);
}
add_action( 'widgets_init', 'sima_architecture_interior_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function sima_architecture_interior_scripts() {
	wp_enqueue_style( 'sima-architecture-interior-style', get_stylesheet_uri(), array(), SIMA_ARCHITECTURE_INTERIOR_VERSION );

	wp_enqueue_style('bootstrap-min', get_template_directory_uri() . '/css/bootstrap.min.css', array(), '5.2.3', 'all');
	wp_enqueue_style('animate', get_template_directory_uri() . '/css/animate.css', array(), SIMA_ARCHITECTURE_INTERIOR_VERSION, 'all');
	wp_enqueue_style('font-awesome-min', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.7.0', 'all');
	wp_enqueue_style('themify-icons', get_template_directory_uri() . '/css/themify-icons.css', array(), SIMA_ARCHITECTURE_INTERIOR_VERSION, 'all');
	wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/css/owl.carousel.min.css', array(), '2.3.4', 'all');
	wp_enqueue_style('owl-theme-default', get_template_directory_uri() . '/css/owl.theme.default.min.css', array(), '2.3.4', 'all');
	wp_enqueue_style('global', get_template_directory_uri() . '/css/global.css', array(), SIMA_ARCHITECTURE_INTERIOR_VERSION, 'all');
	wp_enqueue_style('main-style', get_template_directory_uri() . '/css/style2.css', array(), SIMA_ARCHITECTURE_INTERIOR_VERSION, 'all');
    wp_style_add_data( 'sima-architecture-interior-style', 'rtl', 'replace' );

	// Enqueue Google Fonts
	wp_enqueue_style('sima-architecture-interior-barlow-oswald', 'https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,300;0,400;1,300;1,400&family=Oswald:wght@300;400&display=swap');
	wp_enqueue_style('sima-architecture-italiana', 'https://fonts.googleapis.com/css2?family=Italiana&display=swap');	
	wp_enqueue_style('sima-architecture-libre-caslon', 'https://fonts.googleapis.com/css2?family=Libre+Caslon+Display&display=swap');
	wp_enqueue_style('sima-architecture-interior-playfair-display', 'https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

	wp_enqueue_script( 'sima-architecture-interior-navigation', get_template_directory_uri() . '/js/navigation.js', array(), SIMA_ARCHITECTURE_INTERIOR_VERSION, true );
	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/plugins/bootstrap.min.js', array('jquery'),  '5.2.3', true);
	wp_enqueue_script('modernizr', get_template_directory_uri() . '/js/plugins/modernizr.min.js', array('jquery'), '2.6.2', true);
	wp_enqueue_script('jquery-waypoints', get_template_directory_uri() . '/js/plugins/jquery.waypoints.min.js', array('jquery'), '4.1.0', true);
	wp_enqueue_script('scrollIt', get_template_directory_uri() . '/js/plugins/scrollIt.js', array('jquery'), SIMA_ARCHITECTURE_INTERIOR_VERSION, true );
	wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/js/plugins/owl.carousel.min.js', array('jquery'), '2.3.4', true);
	wp_enqueue_script('stellar', get_template_directory_uri() . '/js/jquery.stellar.js', array('jquery'), '0.6.2', true);
	wp_enqueue_script('main-script', get_template_directory_uri() . '/js/2/script.js', array('jquery'), '1.3.0', true);
    wp_enqueue_script('light-js', get_template_directory_uri() . '/js/light/light.js', array('jquery'), '5.3.5', true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'sima_architecture_interior_scripts' );

//Admin Enqueue for Admin
function sima_architecture_interior_admin_enqueue_scripts(){
	wp_enqueue_style('sima_architecture_interior-admin-style', get_template_directory_uri() . '/inc/assets/css/admin.css');
	wp_enqueue_script( 'sima_architecture_interior-admin-script', get_template_directory_uri() . '/inc/assets/js/admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'sima_architecture_interior-admin-script', 'sima_architecture_interior_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'sima_architecture_interior_admin_enqueue_scripts' );


/**
 * Manu Walker
 */

 require get_template_directory() . '/inc/Custom_Walker_Nav_Menu.php';
 
 
/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

/**
 * Plugins
 */
require "inc/tgm-plugin/tgm-hook.php";


/**
 * Recent posts
 */
require get_template_directory() . '/inc/widget/recent_posts_widget.php';

/**
 * Admin Notice
 */

function sima_architecture_interior_admin_notice() {			
	
	echo '<div class="service_section">
	</div><br/>
	<a href="https://pixelonetry.com/downloads/sima-architecture-interior-elementor-wordpress-theme/" target="_blank"><input type="button" value="Upgrade to Pro, unlock all features" class="button button-primary button-large req_btn"></a> ';		
	
	}

add_action('admin_notices', 'sima_architecture_interior_admin_notice');